Subject: Re: bug#73172: [PATCH] Move to start of current header in diff-{file, hunk}-prev

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 Sep 2024 09:17:02 +0300

> Cc: Stefan Monnier <[email-masked]>, [email-masked]
> Date: Thu, 19 Sep 2024 23:46:00 +0300
> From: Dmitry Gutov <[email-masked]>
> 
> On 19/09/2024 21:41, Spencer Baugh wrote:
> 
> >> and patch#2 seems good on balance.
> >>
> >> It does introduce some backward incompatibility in rare cases where I
> >> have probably internalized the current behavior already -- for example
> >> in the vc-print-root-log output pressing 'p' while on the first line
> >> somewhere between the initial '*' and the end of the date dings with
> >> "No previous log message", and how will move to bol.
> >>
> >> But it might be more consistent anyway, given that the there is no
> >> ding already if you start out inside the summary text.
> > 
> > Yes.  It's definitely a change in behavior.
> > 
> > But, if someone has internalized:
> > 
> >    diff-file-prev usually acts like "backward-sexp for files" (it moves
> >    point to the start of the current file), except that if point is in
> >    the header of the first file in the buffer then diff-file-prev does
> >    nothing instead.
> > 
> > Then I think they'll be happy to be able to discard that knowledge
> > in favor of:
> > 
> >    diff-file-prev always acts like "backward-sexp for files" (it moves
> >    point to the start of the current file).
> > 
> > Especially because "does nothing in one weird corner case" is not useful
> > or deliberate behavior (it's just a bug).
> 
> Yeah, probably.
> 
> It kind of indicated "no elements above" right away, which is a tad 
> meaningful, but indeed I struggle to produce a scenario where that would 
> make a big difference.

Please be sure to document all behavior changes in NEWS, if you
install such changes.